<?php
// +-----------------------------------------------------------------------+
// | DotClear Easy - a PWG Plugin
// | Copyright (C) 2007 Ruben ARNAUD - rub@phpwebgallery.net               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

//----------------------------------------------------------- include
define('PHPWG_ROOT_PATH','../../');
include_once(PHPWG_ROOT_PATH.'include/common.inc.php');

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

$dotclear_easy = get_plugin_data('dotclear_easy');

if 
  (
    !is_admin() or
    empty($dotclear_easy) or
    !isset($dotclear_easy->opened) or !$dotclear_easy->opened
  )
{
  echo '
<script type="text/javascript">
  window.close();
</script>';
  exit();
}

// +-----------------------------------------------------------------------+
// | template initialization                                               |
// +-----------------------------------------------------------------------+
$title = 'DotClear Easy';
$page['body_id'] = 'theDotClearEasyControllerPage';
include(PHPWG_ROOT_PATH.'include/page_header.php');

$template->assign_vars(
  array(
    'PLUGIN_NAME' => $dotclear_easy->plugin_name
    ));

$template->set_filename('controller', $dotclear_easy->plugin_path.'template/controller.tpl');

// +-----------------------------------------------------------------------+
// | html code display                                                     |
// +-----------------------------------------------------------------------+
$template->parse('controller');
include(PHPWG_ROOT_PATH.'include/page_tail.php');

?>
